Create 19.12.0 release
Closed, ResolvedPublic

Description

Commit updates to "release-tools" repository:

  • increase version number in "version" file to 19.12.0
  • change "fromVersion=" in "create_log.py" file to v19.08.3 (previous stable)
  • change download URLs to "stable" in "create_sources_inc"

Prepare repositories to be released:

Prepare tarballs:

  • cleanup artifacts from old releases (sources/* and versions/*) for initial tarballs
  • run update_l10n.sh in capona for initial tarballs
  • run pack_all.sh in capona for initial tarballs, resp. pack.sh for each repo for respins
  • copy tars and and signatures to proper location in milonia
  • announce packages to release-team list, including changelog, hashes, and signature verification key
  • copy versions/* to local machine, needed for tagging and create_log.sh
  • run create_sources_inc > sources.inc in capona
  • run create_log.sh > log.inc in local machine

On release day:

  • open download area in milona (chmod 755)
  • commit log.inc as announcements/fulllog_releases-19.12.0.inc
  • commit sources.inc as www/info/source-releases-19.12.0.inc
  • commit www/info/releases-19.12.0.php
  • run tag_all.sh in your local machine
  • run add_bugzilla_versions.sh in your local machine
  • publish release text from https://invent.kde.org/websites/kde-org-announcements-releases/content/19.12.0
  • commit announcements to www/announcements/index.php and www/index.php
  • ask kde IRC ops to update topic
  • post announcement to announce at kde.org list, to reddit, etc.
  • more?

Related Objects

StatusAssignedTask
Opencfeck
Resolvedcfeck
cfeck created this task.Dec 5 2019, 8:34 PM
cfeck added a parent task: T12272: Create 19.12 releases.
cfeck updated the task description. (Show Details)Dec 5 2019, 8:56 PM
cfeck updated the task description. (Show Details)Dec 6 2019, 12:19 AM
cfeck updated the task description. (Show Details)Dec 6 2019, 12:22 AM
cfeck updated the task description. (Show Details)Dec 6 2019, 2:37 AM
cfeck updated the task description. (Show Details)Dec 9 2019, 11:08 PM
cfeck updated the task description. (Show Details)Dec 12 2019, 1:19 PM
ognarb updated the task description. (Show Details)Dec 12 2019, 2:35 PM
cfeck closed this task as Resolved.Jan 7 2020, 2:40 AM